org.eclipse.oomph.p2

## Class P2Exception

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.oomph.p2.P2Exception

- All Implemented Interfaces:
    Serializable

      public class P2Exception
      extends RuntimeException

  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `P2Exception()`
    `P2Exception(String message)`
    `P2Exception(String message, Throwable cause)`
    `P2Exception(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### P2Exception

          public P2Exception()

    - #### P2Exception

          public P2Exception(String message)

    - #### P2Exception

          public P2Exception(Throwable cause)

    - #### P2Exception

          public P2Exception(String message,
                     Throwable cause)

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html